diff -ur /usr/ports/comms/ltmdm/Makefile ltmdm/Makefile
--- /usr/ports/comms/ltmdm/Makefile	Wed Jan 16 18:59:37 2002
+++ ltmdm/Makefile	Thu Mar 14 16:15:50 2002
@@ -6,11 +6,12 @@
 #
 
 PORTNAME=	ltmdm
-PORTVERSION=	1.2
+PORTVERSION=	1.4
 CATEGORIES=	comms
-MASTER_SITES=	http://www.csociety.org/~will/ \
-		http://soupnazi.org/FreeBSD/ports/distfiles/ \
-		http://www.gsoft.com.au/~doconnor/
+MASTER_SITES=	http://www.dons.net.au/~darius/ \
+		http://www.csociety.org/~will/ \
+		http://soupnazi.org/FreeBSD/ports/distfiles/
+
 EXTRACT_SUFX=	.tgz
 
 MAINTAINER=	darius@dons.net.au
@@ -18,20 +19,38 @@
 ONLY_FOR_ARCHS=	i386
 BUILD_WRKSRC=	${WRKSRC}/sys/modules/ltmdm
 NO_WRKSUBDIR=	yes
+.if defined(USE_595_OBJ)
+MAKE_ARGS+=	LTMDM_OBJ_VERSION=595
+.else
+MAKE_ARGS+=	LTMDM_OBJ_VERSION=600
+.endif
 
 pre-fetch:
 .if !exists(${SRC_BASE}/sys/Makefile)
 	@${ECHO} "*************************************************"; \
-	${ECHO} "This port requires the kernel source be available"; \
-	${ECHO} "*************************************************"; \
+	${ECHO}  "This port requires the kernel source be available"; \
+	${ECHO}  "*************************************************"; \
 	exit 1
 .endif
+.if !defined(USE_595_OBJ)
+	@${ECHO} "*************************************************";
+	@${ECHO} "If you have a K56Flex modem define USE_595_OBJ   ";
+	@${ECHO} "Otheriwse your modem will not work               ";
+	@${ECHO} "*************************************************";
+.endif
 
 do-install:
 	@${PERL} -pi.orig -e "s@%%PREFIX%%@${PREFIX}@g" ${WRKSRC}/ltmdm.sh
 	@${MKDIR} ${DATADIR}
 	@${INSTALL_DATA} ${WRKSRC}/sys/modules/ltmdm/ltmdm.ko ${DATADIR}
 	@${INSTALL_SCRIPT} ${WRKSRC}/ltmdm.sh ${PREFIX}/etc/rc.d/
+.if !defined(NOPORTDOCS)
+	@${MKDIR} ${DOCSDIR}
+	@${INSTALL_DATA} ${WRKSRC}/README.TXT ${DOCSDIR}/
+	@${INSTALL_DATA} ${WRKSRC}/README-en.TXT ${DOCSDIR}/
+	@${INSTALL_DATA} ${WRKSRC}/INSTALL.TXT ${DOCSDIR}/
+	@${INSTALL_DATA} ${WRKSRC}/INSTALL-en.TXT ${DOCSDIR}/
+.endif
 	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.mk>
diff -ur /usr/ports/comms/ltmdm/distinfo ltmdm/distinfo
--- /usr/ports/comms/ltmdm/distinfo	Wed Jan 16 18:59:37 2002
+++ ltmdm/distinfo	Wed Mar 13 14:18:47 2002
@@ -1 +1 @@
-MD5 (ltmdm-1.2.tgz) = b7645aa94d9c334040e213096de8a12d
+MD5 (ltmdm-1.4.tgz) = 3024e220bf0e4b2921daa7e51b8b85b3
diff -ur /usr/ports/comms/ltmdm/pkg-descr ltmdm/pkg-descr
--- /usr/ports/comms/ltmdm/pkg-descr	Tue Jan  8 10:50:06 2002
+++ ltmdm/pkg-descr	Wed Mar 13 14:11:13 2002
@@ -1,8 +1,8 @@
 This port contains a driver for several Winmodems based on the Lucent LT
 chipset. It consists of a shim for the Linux binary only object file.
 
-I have tested this code on a Dell Inspiron 8000. Mr Watanabe has tested it on
-a ThinkPad i1124.
+I have tested this code on a Dell Inspiron 8000, and a Mitsubishi Diamond Voice
+internal PCI modem. Mr Watanabe has tested it on a ThinkPad i1124.
 
 The shim code was written Watanabe Kiyoshi <aab10490@pop16.odn.net.jp>, see
 WWW: http://www.geocities.com/wtnbkysh/
diff -ur /usr/ports/comms/ltmdm/pkg-plist ltmdm/pkg-plist
--- /usr/ports/comms/ltmdm/pkg-plist	Tue Jan  8 10:50:06 2002
+++ ltmdm/pkg-plist	Wed Mar 13 13:58:59 2002
@@ -1,7 +1,9 @@
-@unexec kldunload ltmdm || true
+@unexec sh %D/etc/rc.d/ltmdm.sh stop
 etc/rc.d/ltmdm.sh
 share/ltmdm/ltmdm.ko
 @dirrm share/ltmdm
-@exec rm -f /dev/cual0
-@exec mknod /dev/cual0 c 228 128 uucp:dialer
-@unexec rm -f /dev/cual0
+%%PORTDOCS%%share/doc/ltmdm/README.TXT
+%%PORTDOCS%%share/doc/ltmdm/README-en.TXT
+%%PORTDOCS%%share/doc/ltmdm/INSTALL.TXT
+%%PORTDOCS%%share/doc/ltmdm/INSTALL-en.TXT
+%%PORTDOCS%%@dirrm share/doc/ltmdm
Only in ltmdm: work
